USE `med_2021`;

drop TABLE if EXISTS kl_diagnose_base_relation;
CREATE TABLE `kl_diagnose_base_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `diagnose_base_id` bigint(20) NOT NULL COMMENT 'diagnose_base_id',
  `concept_id` bigint(20) NOT NULL COMMENT 'concept_id',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  PRIMARY KEY (`id`),
  KEY `diagnose_base_id` (`diagnose_base_id`),
  KEY `concept_id` (`concept_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='基础规则关联表';

ALTER TABLE `kl_diagnose_base` drop COLUMN `concept_id`;
ALTER TABLE `kl_diagnose_base` drop COLUMN `status`;

drop TABLE if EXISTS kl_regulation_base_relation;
CREATE TABLE `kl_regulation_base_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `regulation_base_id` bigint(20) NOT NULL COMMENT 'regulation_base_id',
  `concept_id` bigint(20) NOT NULL COMMENT 'concept_id',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  PRIMARY KEY (`id`),
  KEY `regulation_base_id` (`regulation_base_id`),
  KEY `concept_id` (`concept_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='通用基础规则关联表';

ALTER TABLE `kl_regulation_base` drop COLUMN `concept_id`;
ALTER TABLE `kl_regulation_base` drop COLUMN `status`;
