USE `med_2021`;

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for kl_regulation
-- ----------------------------
DROP TABLE IF EXISTS `kl_regulation`;
CREATE TABLE `kl_regulation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '规则名称',
  `code` int(11) NOT NULL DEFAULT '100001' COMMENT '规则编码',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '规则类型:(1:量表)',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '启用状态（0：禁用，1：启用）',
  `remark` varchar(300) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_code` (`code`) USING BTREE,
  UNIQUE KEY `idx_name` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='通用规则表';

-- ----------------------------
-- Records of kl_regulation
-- ----------------------------
INSERT INTO `kl_regulation` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '使用公共车辆-自己完全可以做', '100001', '1', '1', '使用公共车辆-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '使用公共车辆-有些困难', '100002', '1', '1', '使用公共车辆-有些困难');
INSERT INTO `kl_regulation` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '使用公共车辆-需要帮助', '100003', '1', '1', '使用公共车辆-需要帮助');
INSERT INTO `kl_regulation` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '使用公共车辆-根本无法做', '100004', '1', '1', '使用公共车辆-根本无法做');
INSERT INTO `kl_regulation` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走-自己完全可以做', '100005', '1', '1', '行走-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走-有些困难', '100006', '1', '1', '行走-有些困难');
INSERT INTO `kl_regulation` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走-需要帮助', '100007', '1', '1', '行走-需要帮助');
INSERT INTO `kl_regulation` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走-根本无法做', '100008', '1', '1', '行走-根本无法做');
INSERT INTO `kl_regulation` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做饭菜-自己完全可以做', '100009', '1', '1', '做饭菜-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做饭菜-有些困难', '100010', '1', '1', '做饭菜-有些困难');
INSERT INTO `kl_regulation` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做饭菜-需要帮助', '100011', '1', '1', '做饭菜-需要帮助');
INSERT INTO `kl_regulation` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做饭菜-根本无法做', '100012', '1', '1', '做饭菜-根本无法做');
INSERT INTO `kl_regulation` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做家务-自己完全可以做', '100013', '1', '1', '做家务-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做家务-有些困难', '100014', '1', '1', '做家务-有些困难');
INSERT INTO `kl_regulation` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做家务-需要帮助', '100015', '1', '1', '做家务-需要帮助');
INSERT INTO `kl_regulation` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '做家务-根本无法做', '100016', '1', '1', '做家务-根本无法做');
INSERT INTO `kl_regulation` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃药-自己完全可以做', '100017', '1', '1', '吃药-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃药-有些困难', '100018', '1', '1', '吃药-有些困难');
INSERT INTO `kl_regulation` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃药-需要帮助', '100019', '1', '1', '吃药-需要帮助');
INSERT INTO `kl_regulation` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃药-根本无法做', '100020', '1', '1', '吃药-根本无法做');
INSERT INTO `kl_regulation` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃饭-自己完全可以做', '100021', '1', '1', '吃饭-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃饭-有些困难', '100022', '1', '1', '吃饭-有些困难');
INSERT INTO `kl_regulation` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃饭-需要帮助', '100023', '1', '1', '吃饭-需要帮助');
INSERT INTO `kl_regulation` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吃饭-根本无法做', '100024', '1', '1', '吃饭-根本无法做');
INSERT INTO `kl_regulation` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梳头、刷牙-自己完全可以做', '100025', '1', '1', '梳头、刷牙-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梳头、刷牙-有些困难', '100026', '1', '1', '梳头、刷牙-有些困难');
INSERT INTO `kl_regulation` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梳头、刷牙-需要帮助', '100027', '1', '1', '梳头、刷牙-需要帮助');
INSERT INTO `kl_regulation` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梳头、刷牙-根本无法做', '100028', '1', '1', '梳头、刷牙-根本无法做');
INSERT INTO `kl_regulation` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗衣-自己完全可以做', '100029', '1', '1', '洗衣-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗衣-有些困难', '100030', '1', '1', '洗衣-有些困难');
INSERT INTO `kl_regulation` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗衣-需要帮助', '100031', '1', '1', '洗衣-需要帮助');
INSERT INTO `kl_regulation` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗衣-根本无法做', '100032', '1', '1', '洗衣-根本无法做');
INSERT INTO `kl_regulation` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗澡-自己完全可以做', '100033', '1', '1', '洗澡-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗澡-有些困难', '100034', '1', '1', '洗澡-有些困难');
INSERT INTO `kl_regulation` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗澡-需要帮助', '100035', '1', '1', '洗澡-需要帮助');
INSERT INTO `kl_regulation` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '洗澡-根本无法做', '100036', '1', '1', '洗澡-根本无法做');
INSERT INTO `kl_regulation` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '购物-自己完全可以做', '100037', '1', '1', '购物-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '购物-有些困难', '100038', '1', '1', '购物-有些困难');
INSERT INTO `kl_regulation` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '购物-需要帮助', '100039', '1', '1', '购物-需要帮助');
INSERT INTO `kl_regulation` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '购物-根本无法做', '100040', '1', '1', '购物-根本无法做');
INSERT INTO `kl_regulation` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '定时上厕所-自己完全可以做', '100041', '1', '1', '定时上厕所-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '定时上厕所-有些困难', '100042', '1', '1', '定时上厕所-有些困难');
INSERT INTO `kl_regulation` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '定时上厕所-需要帮助', '100043', '1', '1', '定时上厕所-需要帮助');
INSERT INTO `kl_regulation` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '定时上厕所-根本无法做', '100044', '1', '1', '定时上厕所-根本无法做');
INSERT INTO `kl_regulation` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打电话-自己完全可以做', '100045', '1', '1', '打电话-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打电话-有些困难', '100046', '1', '1', '打电话-有些困难');
INSERT INTO `kl_regulation` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打电话-需要帮助', '100047', '1', '1', '打电话-需要帮助');
INSERT INTO `kl_regulation` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打电话-根本无法做', '100048', '1', '1', '打电话-根本无法做');
INSERT INTO `kl_regulation` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '处理自己钱财-自己完全可以做', '100049', '1', '1', '处理自己钱财-自己完全可以做');
INSERT INTO `kl_regulation` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '处理自己钱财-有些困难', '100050', '1', '1', '处理自己钱财-有些困难');
INSERT INTO `kl_regulation` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '处理自己钱财-需要帮助', '100051', '1', '1', '处理自己钱财-需要帮助');
INSERT INTO `kl_regulation` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '处理自己钱财-根本无法做', '100052', '1', '1', '处理自己钱财-根本无法做');

-- ----------------------------
-- Table structure for kl_regulation_base
-- ----------------------------
DROP TABLE IF EXISTS `kl_regulation_base`;
CREATE TABLE `kl_regulation_base` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '提示概念id',
  `description` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '描述',
  `type` int(10) NOT NULL DEFAULT '1' COMMENT '基础规则类型(1:等于术语本身;2:存在比较;3:主诉现病史正则;4:既往史正则)',
  `min_operator` varchar(15) NOT NULL DEFAULT '' COMMENT '最小域比较符',
  `min_value` varchar(50) NOT NULL DEFAULT '' COMMENT '最小域值',
  `min_unit` varchar(50) NOT NULL DEFAULT '' COMMENT '最小域单位',
  `max_operator` varchar(15) NOT NULL DEFAULT '' COMMENT '最大域比较符',
  `max_value` varchar(50) NOT NULL DEFAULT '' COMMENT '最大域值',
  `max_unit` varchar(50) NOT NULL DEFAULT '' COMMENT '最大域单位',
  `eq_operator` varchar(15) NOT NULL DEFAULT '' COMMENT '等于域比较符',
  `eq_value` varchar(255) NOT NULL DEFAULT '' COMMENT '等于域值',
  `eq_unit` varchar(50) NOT NULL DEFAULT '' COMMENT '等于域单位',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '启用状态（0：禁用，1：启用）',
  PRIMARY KEY (`id`),
  KEY `idx_concept_id` (`concept_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='通用规则基础表';

-- ----------------------------
-- Records of kl_regulation_base
-- ----------------------------
INSERT INTO `kl_regulation_base` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '使用公共车辆-自己完全可以做', '3', '', '', '', '', '', '', '', '自行乘坐公共汽车', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '使用公共车辆-有些困难', '3', '', '', '', '', '', '', '', '乘坐公共汽车困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '使用公共车辆-需要帮助', '3', '', '', '', '', '', '', '', '乘坐公共汽车需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '使用公共车辆-根本无法做', '3', '', '', '', '', '', '', '', '不能乘坐公共汽车', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '行走-自己完全可以做', '3', '', '', '', '', '', '', '', '自行走路|行走自如', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '行走-有些困难', '3', '', '', '', '', '', '', '', '行走困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '行走-需要帮助', '3', '', '', '', '', '', '', '', '行走需要搀扶', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '行走-根本无法做', '3', '', '', '', '', '', '', '', '不能行走', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做饭菜-自己完全可以做', '3', '', '', '', '', '', '', '', '(?<!不)会做饭菜', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做饭菜-有些困难', '3', '', '', '', '', '', '', '', '做饭菜困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做饭菜-需要帮助', '3', '', '', '', '', '', '', '', '做饭菜需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做饭菜-根本无法做', '3', '', '', '', '', '', '', '', '不会做饭菜', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做家务-自己完全可以做', '3', '', '', '', '', '', '', '', '(?<!不)会做家务', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做家务-有些困难', '3', '', '', '', '', '', '', '', '做家务困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做家务-需要帮助', '3', '', '', '', '', '', '', '', '做家务需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '做家务-根本无法做', '3', '', '', '', '', '', '', '', '不会做家务', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃药-自己完全可以做', '3', '', '', '', '', '', '', '', '自行服药', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃药-有些困难', '3', '', '', '', '', '', '', '', '服药困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃药-需要帮助', '3', '', '', '', '', '', '', '', '吃药需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃药-根本无法做', '3', '', '', '', '', '', '', '', '不会吃药', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃饭-自己完全可以做', '3', '', '', '', '', '', '', '', '自行吃饭|自行用餐|自主用餐|自主进食', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃饭-有些困难', '3', '', '', '', '', '', '', '', '吃饭困难|用餐困难|进食困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃饭-需要帮助', '3', '', '', '', '', '', '', '', '吃饭需要帮忙|用餐需帮忙|进食需要帮助', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '吃饭-根本无法做', '3', '', '', '', '', '', '', '', '不会吃饭|不能用餐', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '梳头、刷牙-自己完全可以做', '3', '', '', '', '', '', '', '', '自行梳头|自行刷牙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '梳头、刷牙-有些困难', '3', '', '', '', '', '', '', '', '梳头困难|刷牙困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '梳头、刷牙-需要帮助', '3', '', '', '', '', '', '', '', '梳头需要帮忙|刷牙需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '梳头、刷牙-根本无法做', '3', '', '', '', '', '', '', '', '不会梳头|不会刷牙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗衣-自己完全可以做', '3', '', '', '', '', '', '', '', '自己洗衣服', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗衣-有些困难', '3', '', '', '', '', '', '', '', '洗衣困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗衣-需要帮助', '3', '', '', '', '', '', '', '', '洗衣服需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗衣-根本无法做', '3', '', '', '', '', '', '', '', '不会洗衣服', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗澡-自己完全可以做', '3', '', '', '', '', '', '', '', '自己洗澡', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗澡-有些困难', '3', '', '', '', '', '', '', '', '洗澡困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗澡-需要帮助', '3', '', '', '', '', '', '', '', '洗澡需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '洗澡-根本无法做', '3', '', '', '', '', '', '', '', '不会洗澡', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '购物-自己完全可以做', '3', '', '', '', '', '', '', '', '自己购物|自己买东西', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '购物-有些困难', '3', '', '', '', '', '', '', '', '购物困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '购物-需要帮助', '3', '', '', '', '', '', '', '', '购物需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '购物-根本无法做', '3', '', '', '', '', '', '', '', '不会购物', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '定时上厕所-自己完全可以做', '3', '', '', '', '', '', '', '', '自己能上厕所|自行如厕', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '定时上厕所-有些困难', '3', '', '', '', '', '', '', '', '上厕所困难|如厕困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '定时上厕所-需要帮助', '3', '', '', '', '', '', '', '', '上厕所需要帮忙|上厕所需要搀扶|如厕需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '定时上厕所-根本无法做', '3', '', '', '', '', '', '', '', '不会上厕所|自己不能上厕所|不能如厕', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '打电话-自己完全可以做', '3', '', '', '', '', '', '', '', '(?<!不)能正常打电话', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '打电话-有些困难', '3', '', '', '', '', '', '', '', '打电话困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '打电话-需要帮助', '3', '', '', '', '', '', '', '', '打电话需要帮忙', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '打电话-根本无法做', '3', '', '', '', '', '', '', '', '不会打电话', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '处理自己钱财-自己完全可以做', '3', '', '', '', '', '', '', '', '钱币能分清', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '处理自己钱财-有些困难', '3', '', '', '', '', '', '', '', '分清钱币困难', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '处理自己钱财-需要帮助', '3', '', '', '', '', '', '', '', '分清钱币需要帮助', '', '1');
INSERT INTO `kl_regulation_base` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '处理自己钱财-根本无法做', '3', '', '', '', '', '', '', '', '不认识钱币', '', '1');

-- ----------------------------
-- Table structure for kl_regulation_condition
-- ----------------------------
DROP TABLE IF EXISTS `kl_regulation_condition`;
CREATE TABLE `kl_regulation_condition` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `regulation_id` bigint(20) NOT NULL COMMENT '通用规则表主表id',
  `condition_type` int(11) NOT NULL DEFAULT '0' COMMENT '条件类型(1:基础条件；2:组合条件)',
  `condition_group` int(11) NOT NULL DEFAULT '0' COMMENT '规则组别（1XX_condition_type为2:组合条件有效）',
  `fit_no` int(11) NOT NULL DEFAULT '1' COMMENT '符合数量（condition_type为2:组合条件有效）',
  `base_group` int(11) NOT NULL DEFAULT '0' COMMENT '基础规则组别（1X_condition_type为1:基础条件；2:组合条件）',
  `regulation_base_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '基础规则id（condition_type为1:基础条件有效）',
  PRIMARY KEY (`id`),
  KEY `idx_regulation_id` (`regulation_id`) USING BTREE,
  KEY `idx_regulation_base_id` (`regulation_base_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8 COMMENT='通用规则条件表';

-- ----------------------------
-- Records of kl_regulation_condition
-- ----------------------------
INSERT INTO `kl_regulation_condition` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '1', '0', '0', '10', '1');
INSERT INTO `kl_regulation_condition` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '1', '0', '0', '10', '2');
INSERT INTO `kl_regulation_condition` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '1', '0', '0', '10', '3');
INSERT INTO `kl_regulation_condition` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '1', '0', '0', '10', '4');
INSERT INTO `kl_regulation_condition` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '1', '0', '0', '10', '5');
INSERT INTO `kl_regulation_condition` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '1', '0', '0', '10', '6');
INSERT INTO `kl_regulation_condition` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '1', '0', '0', '10', '7');
INSERT INTO `kl_regulation_condition` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '1', '0', '0', '10', '8');
INSERT INTO `kl_regulation_condition` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '1', '0', '0', '10', '9');
INSERT INTO `kl_regulation_condition` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '1', '0', '0', '10', '10');
INSERT INTO `kl_regulation_condition` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '1', '0', '0', '10', '11');
INSERT INTO `kl_regulation_condition` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '1', '0', '0', '10', '12');
INSERT INTO `kl_regulation_condition` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '1', '0', '0', '10', '13');
INSERT INTO `kl_regulation_condition` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '1', '0', '0', '10', '14');
INSERT INTO `kl_regulation_condition` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '1', '0', '0', '10', '15');
INSERT INTO `kl_regulation_condition` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '1', '0', '0', '10', '16');
INSERT INTO `kl_regulation_condition` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '1', '0', '0', '10', '17');
INSERT INTO `kl_regulation_condition` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '1', '0', '0', '10', '18');
INSERT INTO `kl_regulation_condition` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '1', '0', '0', '10', '19');
INSERT INTO `kl_regulation_condition` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '1', '0', '0', '10', '20');
INSERT INTO `kl_regulation_condition` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '1', '0', '0', '10', '21');
INSERT INTO `kl_regulation_condition` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '1', '0', '0', '10', '22');
INSERT INTO `kl_regulation_condition` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '1', '0', '0', '10', '23');
INSERT INTO `kl_regulation_condition` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '1', '0', '0', '10', '24');
INSERT INTO `kl_regulation_condition` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '1', '0', '0', '10', '25');
INSERT INTO `kl_regulation_condition` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '1', '0', '0', '10', '26');
INSERT INTO `kl_regulation_condition` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '1', '0', '0', '10', '27');
INSERT INTO `kl_regulation_condition` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '1', '0', '0', '10', '28');
INSERT INTO `kl_regulation_condition` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '1', '0', '0', '10', '29');
INSERT INTO `kl_regulation_condition` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '1', '0', '0', '10', '30');
INSERT INTO `kl_regulation_condition` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '1', '0', '0', '10', '31');
INSERT INTO `kl_regulation_condition` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '1', '0', '0', '10', '32');
INSERT INTO `kl_regulation_condition` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '1', '0', '0', '10', '33');
INSERT INTO `kl_regulation_condition` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '1', '0', '0', '10', '34');
INSERT INTO `kl_regulation_condition` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '1', '0', '0', '10', '35');
INSERT INTO `kl_regulation_condition` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '1', '0', '0', '10', '36');
INSERT INTO `kl_regulation_condition` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '1', '0', '0', '10', '37');
INSERT INTO `kl_regulation_condition` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '1', '0', '0', '10', '38');
INSERT INTO `kl_regulation_condition` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '1', '0', '0', '10', '39');
INSERT INTO `kl_regulation_condition` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '1', '0', '0', '10', '40');
INSERT INTO `kl_regulation_condition` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '1', '0', '0', '10', '41');
INSERT INTO `kl_regulation_condition` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '1', '0', '0', '10', '42');
INSERT INTO `kl_regulation_condition` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '1', '0', '0', '10', '43');
INSERT INTO `kl_regulation_condition` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '44', '1', '0', '0', '10', '44');
INSERT INTO `kl_regulation_condition` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '1', '0', '0', '10', '45');
INSERT INTO `kl_regulation_condition` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '1', '0', '0', '10', '46');
INSERT INTO `kl_regulation_condition` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '47', '1', '0', '0', '10', '47');
INSERT INTO `kl_regulation_condition` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '1', '0', '0', '10', '48');
INSERT INTO `kl_regulation_condition` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '1', '0', '0', '10', '49');
INSERT INTO `kl_regulation_condition` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '1', '0', '0', '10', '50');
INSERT INTO `kl_regulation_condition` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '1', '0', '0', '10', '51');
INSERT INTO `kl_regulation_condition` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '1', '0', '0', '10', '52');
INSERT INTO `kl_regulation_condition` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '44', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '47', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '2', '100', '1', '10', '0');
INSERT INTO `kl_regulation_condition` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '2', '100', '1', '10', '0');

-- ----------------------------
-- Table structure for kl_concept_scale
-- ----------------------------
DROP TABLE IF EXISTS `kl_concept_scale`;
CREATE TABLE `kl_concept_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) DEFAULT NULL COMMENT '术语概念id',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `content` mediumtext COMMENT '内容',
  `rule_code` varchar(255) DEFAULT NULL COMMENT '编码',
  `score` decimal(6,1) DEFAULT '0.0' COMMENT '扣分',
  `factor` decimal(6,1) DEFAULT '0.0' COMMENT '系数',
  `constant` decimal(6,1) DEFAULT '0.0' COMMENT '常数',
  `text_type` int(11) DEFAULT NULL COMMENT '11问题选项;12文本;13得分结果（隐藏）21问题，31答案',
  `result_type` int(11) NOT NULL DEFAULT '0' COMMENT '结果类型（1算分;2显示选择结果）',
  `select_type` int(11) NOT NULL DEFAULT '0' COMMENT '选择类型(21单选22多选)',
  `order_no` int(11) DEFAULT NULL COMMENT '显示顺序',
  `status` int(2) DEFAULT '1' COMMENT '1：显示，0：不显示，2隐藏',
  `group_num` int(11) DEFAULT '-1' COMMENT '组别互斥（同组互斥）',
  `result` varchar(255) DEFAULT NULL COMMENT '结果',
  `push_info` text COMMENT '推送信息',
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='量表明细表';