DROP TABLE IF EXISTS `kl_diagnose_record`;
CREATE TABLE `kl_diagnose_record` (
      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
      `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
      `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
      `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
      `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
      `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
      `diagnose_id` bigint(20) NOT NULL COMMENT '诊断依据主表id',
      `type` varchar(255) NOT NULL DEFAULT '' COMMENT '类型',
      `code` varchar(255) NOT NULL DEFAULT '' COMMENT '序号',
      `rule` varchar(1024) NOT NULL DEFAULT '' COMMENT '规则',
      `description` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
      `eq_value` varchar(255) NOT NULL DEFAULT '' COMMENT '等于',
      `max_value` varchar(255) NOT NULL DEFAULT '' COMMENT '最大值',
      `max_operator` varchar(255) NOT NULL DEFAULT '' COMMENT '最大值符号',
      `min_value` varchar(255) NOT NULL DEFAULT '' COMMENT '最小值',
      `min_operator` varchar(255) NOT NULL DEFAULT '' COMMENT '最小值符号',
      `unit` varchar(255) NOT NULL DEFAULT '' COMMENT '单位',
      `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
      `remark` varchar(300) NOT NULL DEFAULT '' COMMENT '备注',
      PRIMARY KEY (`id`),
      KEY `diagnose_id` (`diagnose_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='诊断依据记录表';

DROP TABLE IF EXISTS `kl_diagnose_record_detail`;
CREATE TABLE `kl_diagnose_record_detail` (
     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
     `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
     `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
     `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
     `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
     `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
     `diagnose_record_id` bigint(20) NOT NULL COMMENT '诊断依据记录表id',
     `concept_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '标准词',
     `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
     `remark` varchar(300) NOT NULL DEFAULT '' COMMENT '备注',
     PRIMARY KEY (`id`),
     KEY `diagnose_record_id` (`diagnose_record_id`) USING BTREE,
     KEY `concept_id` (`concept_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='诊断依据记录明细表';