package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/5/12 13:54
 */
@Getter
@Setter
public class ConceptScaleDetailDTO {
    /**
     * 下级
     */
    private List<ConceptScaleSubDTO> subList = new ArrayList<>();

    private Long id;
    /**
     * -1：表示顶级,其他值表示上级id
     */
    private Long parentId;

    /**
     * 内容
     */
    private String content;

    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 0表格1有分数2无分数
     */
    private Integer textType;

    /**
     * 结果类型（1算分;2显示选择结果）
     */
    private Integer resultType;

    /**
     * 选择类型(1单选2多选)
     */
    private Integer selectType;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 术语概念id
     */
    private Long conceptId;


    /**
     * 系数
     */
    private BigDecimal factor;

    /**
     * 常数
     */
    private BigDecimal constant;


    /**
     * 1：显示，0：不显示，2隐藏
     */
    private Integer status;

    /**
     * 组别互斥（同组互斥）
     */
    private Integer groupNum;

    /**
     * 结果
     */
    private String result;

    /**
     * 推送信息
     */
    private String pushInfo;

    private Integer match;
}