package com.diagbot.dto;

import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 诊断依据记录表
 * </p>
 *
 * @author zhoutg
 * @since 2021-08-24
 */
@Data
public class KlDiagnoseRecordDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 诊断依据主表id
     */
    private Long diagnoseId;

    /**
     * 类型
     */
    private String type;

    /**
     * 序号
     */
    private String code;

    /**
     * 规则
     */
    private String rule;

    /**
     * 描述
     */
    private String description;

    /**
     * 等于
     */
    private String eqValue;

    /**
     * 最大值
     */
    private String maxValue;

    /**
     * 最大值符号
     */
    private String maxOperator;

    /**
     * 最小值
     */
    private String minValue;

    /**
     * 最小值符号
     */
    private String minOperator;

    /**
     * 单位
     */
    private String unit;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

    // 导入记录明细
    private List<KlDiagnoseRecordDetailDTO> recordDetailList = Lists.newArrayList();
}
