package com.diagbot.dto;

import com.google.common.collect.Lists;
import lombok.Data;

import java.util.List;

/**
 * @Description: 规则扩展类
 * @author: zhoutg
 * @time: 2021/2/3 16:34
 */
@Data
public class RuleSimpleDTO {
    // 医院名称
    private String inputName;
    // 标准名称
    private String libName;
    // 时间
    private String dateValue;
    // 类型名称
    private String libTypeName;
    // 剂型
    private String form;
    // 给药途径医院名称
    private String routeName;
    // 给药途径标准名称
    private String routeUniqueName;
    // 提示语
    private String msg;
    // 界面匹配内容
    private String content;
    // 禁忌类型
    private String conType;
    // 项目名称(目前用于辅检项目名称)
    private String structName = "";

    // 匹配条数
    private int matchNum = 0;
    // 界面匹配内容列表
    private List<String> contentList = Lists.newArrayList();
    // 给药途径是否匹配
    private boolean routeMatch = false;

    public RuleSimpleDTO() {
    }

    public RuleSimpleDTO(String inputName, String libName, String libTypeName, String content, String conType) {
        this.inputName = inputName;
        this.libName = libName;
        this.libTypeName = libTypeName;
        this.content = content;
        this.conType = conType;
    }
}
