package com.diagbot.dto;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.biz.push.entity.Lis;
import com.diagbot.biz.push.entity.Pacs;
import com.diagbot.biz.push.entity.Scale;
import com.diagbot.model.label.ChiefLabel;
import com.diagbot.model.label.DiagLabel;
import com.diagbot.model.label.FamilyLabel;
import com.diagbot.model.label.MaritalLabel;
import com.diagbot.model.label.MenstrualLabel;
import com.diagbot.model.label.PacsLabel;
import com.diagbot.model.label.PastLabel;
import com.diagbot.model.label.PersonalLabel;
import com.diagbot.model.label.PresentLabel;
import com.diagbot.model.label.VitalLabel;
import com.diagbot.vo.Drug;
import com.diagbot.vo.ItemExt;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * crf 解析后各個模塊出參
 *
 * @author kwz (zjlantone)
 * @create 07 30, 2020
 * @since 1.0.0
 */
@Data
public class WordCrfDTO {
    private Long hospitalId;
    // 年龄（字符串，如：3月）
    private String age;
    // 年龄数字数据
    private Double ageNum;
    // 性别（1：男，2：女）
    private Integer sex;
    // 科室
    private List<Item> dept = new ArrayList<>();
    // 化验项目和结果
    private List<Lis> lis = new ArrayList<>();
    // 辅检项目和结果
    private List<Pacs> pacs = new ArrayList<>();
    // 药品
    private List<Drug> drug = new ArrayList<>();
    // 手术及操作
    private List<Item> operation = new ArrayList<>();
    // 主诉
    private ChiefLabel chiefLabel = new ChiefLabel();
    // 现病史
    private PresentLabel presentLabel = new PresentLabel();
    // 既往史 (如：疾病史、外伤史、传染病史、过敏史、食物过敏史、药物过敏史、输血史、手术史、预防接种史)
    private PastLabel pastLabel = new PastLabel();
    // 个人史（如：吸烟史、饮酒史、冶游）
    private PersonalLabel personalLabel = new PersonalLabel();
    // 家族史(如：家族遗传病)
    private FamilyLabel familyLabel = new FamilyLabel();
    // 婚育史
    private MaritalLabel maritalLabel = new MaritalLabel();
    // 月经史
    private MenstrualLabel menstrualLabel = new MenstrualLabel();
    // 体格
    private VitalLabel vitalLabel = new VitalLabel();
    // 诊断
    private DiagLabel diagLabel = new DiagLabel();

    /*******************************************入参数据拷贝开始******************************/
    // 选中诊断
    private Item diseaseName;
    // 选中手术
    private Item operationName;
     // 诊断
    private List<Item> diag = new ArrayList<>();
    // 当前化验开单项
    private List<Lis> lisOrder = new ArrayList<>();
    // 当前辅检开单项
    private List<Pacs> pacsOrder = new ArrayList<>();
    // 当前诊断开单项
    private List<Item> diagOrder = new ArrayList<>();
    // 当前药品开单项
    private List<Drug> drugOrder = new ArrayList<>();
    // 当前手术开单项
    private List<Item> operationOrder = new ArrayList<>();
    // 当前输血开单项
    private List<ItemExt> transfusionOrder = new ArrayList<>();
    // 输血记录
    private List<ItemExt> transfusion = new ArrayList<>();
    // 其他医嘱
    private List<Item> otherAdvice = new ArrayList<>();
    // 量表结果
    private List<Scale> scale = new ArrayList<>();
    /*******************************************入参数据拷贝结束******************************/
    // 化验
    // private LisLabel lisLabel;
    // 辅检
    private PacsLabel pacsLabel = new PacsLabel();

    // 主诉
    private String chief = "";
    // 现病史
    private String symptom = "";
    // 既往史
    private String pasts = "";
    // 月经史
    private String menstrual = "";
    // 个人史
    private String personal = "";
    // 婚育史
    private String marital = "";
    // 家族史
    private String family = "";
    // 查体
    private String vital = "";
    // 婚姻
    private String marriage = "";

    // 【诊断数据来源】
    private List<Item> diagSource = new ArrayList<>();
    // 【药品数据来源】
    private List<Item> drugSource = new ArrayList<>();
}
