package com.diagbot.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 诊断依据明细表
 * </p>
 *
 * @author gaodm
 * @since 2021-06-10
 */
@Data
public class KlDiagnoseDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 类型(1：症状，2：体征，3：化验，4：辅检，5：鉴别诊断，6：病史，7：诱因，8：病程，9：其他，91：确诊，92：拟诊，93：警惕)
     */
    private Integer type;

    /**
     * 编码
     */
    private String code;

    /**
     * 标准词
     */
    private String standard;

    /**
     * 关联词
     */
    private String relation;

    /**
     * 中间结果(例如：升高|阳性，不需要校验)
     */
    private String midResult;

    /**
     * 公式
     */
    private String formula;
}
