package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据记录表
 * </p>
 *
 * @author zhoutg
 * @since 2021-08-26
 */
@Data
public class KlDiagnoseRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 诊断依据主表id
     */
    private Long diagnoseId;

    /**
     * 类型
     */
    private String type;

    /**
     * 序号
     */
    private String code;

    /**
     * 规则
     */
    private String rule;

    /**
     * 描述
     */
    private String description;

    /**
     * 等于
     */
    private String eqValue;

    /**
     * 最大值
     */
    private String maxValue;

    /**
     * 最大值符号
     */
    private String maxOperator;

    /**
     * 最小值
     */
    private String minValue;

    /**
     * 最小值符号
     */
    private String minOperator;

    /**
     * 单位
     */
    private String unit;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;
}
