package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 通用规则基础表
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
@Data
public class KlRegulationBase implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 描述
     */
    private String description;

    /**
     * 基础规则类型(1:等于术语本身;2:存在比较;3:主诉现病史正则;4:既往史正则)
     */
    private Integer type;

    /**
     * 最小域比较符
     */
    private String minOperator;

    /**
     * 最小域值
     */
    private String minValue;

    /**
     * 最小域单位
     */
    private String minUnit;

    /**
     * 最大域比较符
     */
    private String maxOperator;

    /**
     * 最大域值
     */
    private String maxValue;

    /**
     * 最大域单位
     */
    private String maxUnit;

    /**
     * 等于域比较符
     */
    private String eqOperator;

    /**
     * 等于域值
     */
    private String eqValue;

    /**
     * 等于域单位
     */
    private String eqUnit;
}
