package com.diagbot.entity.wrapper;

import com.diagbot.entity.MappingConfig;
import com.diagbot.util.StringUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/6/10 19:27
 */
@Getter
@Setter
public class MappingConfigWrapper extends MappingConfig {
    private String uniqueName;
    private String form;
    private String code;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        MappingConfigWrapper mappingConfigWrapper = (MappingConfigWrapper) o;
        return super.equals(o)
                && Objects.equals(uniqueName, mappingConfigWrapper.uniqueName)
                && Objects.equals(form, mappingConfigWrapper.form)
                && Objects.equals(code, mappingConfigWrapper.code);
    }

    @Override
    public int hashCode() {
        return Objects.hash(uniqueName, form, code) + super.hashCode();
    }

    public static boolean nonNull(MappingConfigWrapper o) {
        return !(o == null
                || (StringUtil.isBlank(o.uniqueName)
                && StringUtil.isBlank(o.form)
                && StringUtil.isBlank(o.code)))
                || MappingConfig.nonNull(o);
    }
}