package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description:
 * @date 2018年11月21日 下午2:31:42
 */
public enum CommonEnum implements KeyedNamed {
    splitSymbol(1, "#");

    @Setter
    private int key;

    @Setter
    private String name;

    CommonEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static CommonEnum getEnum(int key) {
        for (CommonEnum item : CommonEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        CommonEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

