package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 诊断依据词性类型枚举
 * @date 2018年10月11日 下午3:33:22
 */

public enum DiagnoseLexiconTypeEnum implements KeyedNamed {

    Symptom(103, "A"),
    VitalResult(105, "B"),
    Vital(104, "C"),
    LisSubName(108, "D"),
    PacsResult(112, "E"),
    Disease(100, "F"),
    zsxbszz(900, "G"),
    jwzz(901, "H"),
    Age(410, "I"),
    Group(117, "J"),
    Ctzz(902, "K"),
    Fjjgzz(903, "L"),
    // 旧新诊断依据类型对应
    SymptomTpye(1, "A:症状"),
    VitalResultTpye(2, "B:体格检查结果"),
    //    VitalTpye(104, "C"),
    LisSubNameTpye(3, "D:实验室检查子项目"),
    PacsResultTpye(4, "L:辅检结果正则"),
    DiseaseTpye(5, "F:疾病"),
    DiseaseHisTpye(6, "F:疾病"),//病史
    ZsxbszzTpyeCause(7, "G:主诉现病史正则"),//诱因
    ZsxbszzTpyeBc(8, "G:主诉现病史正则"),//病程
    jwzzTpye(9, "H:既往史正则"),//其他
    QuezhenTpye(91, "确诊"),
    NizhenTpye(92, "拟诊"),
    JtTpye(93, "警惕");

    @Setter
    private int key;

    @Setter
    private String name;

    DiagnoseLexiconTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DiagnoseLexiconTypeEnum getEnum(int key) {
        for (DiagnoseLexiconTypeEnum item : DiagnoseLexiconTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }


    public static String getName(int key) {
        DiagnoseLexiconTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    public static int getKey(String value) {
        DiagnoseLexiconTypeEnum[] values = values();
        for (DiagnoseLexiconTypeEnum d : values) {
            if (d.name.equals(value)) {
                return d.key;
            }
        }
        return 1000;
    }


    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
