package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/2/24 10:46
 */
public enum LexiconExtEnum implements KeyedNamed {

    Disease(100,"疾病"),
    Medicine(101,"药品通用名"),
    Form(102,"药品剂型"),
    Symptom(103,"症状"),
    Vital(104,"体格检查项目"),
    VitalResult(105,"体格检查结果"),
    Operation(106,"手术和操作"),
    LisName(107,"实验室检查套餐"),
    LisSubName(108,"实验室检查子项目"),
    PacsName(109,"辅助检查项目"),
    PacsSubName(110,"辅助检查子项目"),
    PacsDescribe(111,"辅助检查描述"),
    PacsResult(112,"辅助检查结果"),
    Transfusion(113,"输血类型"),
    Anesthesia(114,"麻醉"),
    Dept(115,"科室"),
    Gender(116,"性别"),
    Group(117,"人群"),
    Food(118,"食物"),
    Allergen(119,"其他过敏原"),
    Device(120,"医疗器械及物品"),
    AdministrationRoute(121,"给药途径"),
    Part(122,"部位"),
    Nurse(123,"护理"),
    Scale(124,"量表"),
    Unit(125,"单位"),
    ICD10Class(300,"ICD10疾病类别"),
    MedChemClass(301,"药品化学物质类别"),
    MedZhiLiaoClass(302,"药品治疗学类别"),
    MedYaoLiClass(303,"药品药理学类别"),
    MedJiePouClass(304,"药品解剖学类别"),
    SymptomClass(305,"症状类别"),
    OperationClass(306,"手术和操作类别"),
    ICD10ClassNode(400,"ICD10疾病类别根节点"),
    DeptDiseaseNode(401,"科室疾病类别根节点"),
    MedChemClassNode(402,"药品化学物质类别根节点"),
    MedZhiLiaoClassNode(403,"药品治疗学类别根节点"),
    MedYaoLiClassNode(404,"药品药理学类别根节点"),
    MedJiePouClassNode(405,"药品解剖学类别根节点"),
    SymptomClassNode(406,"症状类别根节点"),
    OperationClassNode(407,"手术和操作类别根节点"),
    LisClassNode(408,"实验室检查类别根节点"),
    PacsClassNode(409,"辅助检查类别根节点"),
    Age(410,"年龄"),

    zsxbszz(900, "主诉现病史正则"),
    jwzz(901, "既往史正则"),
    ctzz(902, "查体正则"),
    fjjgzz(903, "辅检结果正则");

    @Setter
    private int key;

    @Setter
    private String name;

    LexiconExtEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static LexiconExtEnum getEnum(int key) {
        for (LexiconExtEnum item : LexiconExtEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static LexiconExtEnum getEnum(String value) {
        for (LexiconExtEnum item : LexiconExtEnum.values()) {
            if (item.getName().equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        LexiconExtEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}