package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.KlConceptScale;
import com.diagbot.entity.wrapper.KlScaleDetailWrapper;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.KlConceptScaleServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.KlScaleDetailMenuVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-05-10 10:45
 */
@Component
public class KlConceptScaleFacade extends KlConceptScaleServiceImpl {

    public List<KlScaleDetailWrapper> getKlScaleDetailData(KlScaleDetailMenuVO klScaleDetailMenuVO) {
        //添加菜单信息
        List<KlConceptScale> list = this.list(new QueryWrapper<KlConceptScale>()
                .in("concept_id", klScaleDetailMenuVO.getConceptId())
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .orderByAsc("text_type","group_num", "order_no"));
        List<KlScaleDetailWrapper> menuList = new ArrayList<>();
        menuList = BeanUtil.listCopyTo(list, KlScaleDetailWrapper.class);
        Map<Long, List<KlScaleDetailWrapper>> menuMap = EntityUtil.makeEntityListMap(menuList, "parentId");
        List<KlScaleDetailWrapper> menuRes = menuMap.get(-1L);
        if (ListUtil.isNotEmpty(menuRes)) {
            for (KlScaleDetailWrapper bean : menuRes) {
                getSonMenu(bean, menuMap);
            }
        }

        return menuRes;
    }


    /**
     * 递归获取菜单结构
     *
     * @param menu    当前菜单
     * @param menuMap 菜单集
     * @return 菜单结构
     */
    public List<KlScaleDetailWrapper> getSonMenu(KlScaleDetailWrapper menu,
                                                 Map<Long, List<KlScaleDetailWrapper>> menuMap) {
        List<KlScaleDetailWrapper> res = new ArrayList<>();
        List<KlScaleDetailWrapper> list = menuMap.get(menu.getId());
        if (ListUtil.isNotEmpty(list)) {
            menu.setSubMenuList(list);
            for (KlScaleDetailWrapper bean : list) {
                getSonMenu(bean, menuMap);
            }
        }
        return res;
    }
}
