package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.RegulationIndexDTO;
import com.diagbot.entity.KlRegulation;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.StatusEnum;
import com.diagbot.service.impl.KlRegulationServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.RegulationIndexVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2021/3/15 10:58
 */
@Component
public class KlRegulationFacade extends KlRegulationServiceImpl {

    public List<RegulationIndexDTO> index(RegulationIndexVO regulationIndexVO) {
        List<KlRegulation> klRegulationList = this.list(new QueryWrapper<KlRegulation>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("status", StatusEnum.Enable.getKey())
                .eq(regulationIndexVO.getType() != null, "type", regulationIndexVO.getType())
                .like("name", regulationIndexVO.getName())
                .notIn(ListUtil.isNotEmpty(regulationIndexVO.getNotCodeList()), "code", regulationIndexVO.getNotCodeList())
        );
        List<RegulationIndexDTO> regulationIndexDTOList = BeanUtil.listCopyTo(klRegulationList, RegulationIndexDTO.class);
        return regulationIndexDTOList;
    }
}
