package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.GetAllForRelationDTO;
import com.diagbot.dto.IndexBatchDTO;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.KllisDetailDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.vo.*;

import java.util.List;

/**
 * <p>
 * 概念表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptMapper extends BaseMapper<KlConcept> {

    List<IndexDTO> index(MedRetrievalVO medRetrievalVO);

    List<IndexBatchDTO> indexByApproval(IndexByApprovalVO indexByApprovalVO);

    List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);

    List<KllisDetailDTO> getLisDetaisByNames(KllisDetailVO kllisDetailVO);

    List<GetAllForRelationDTO> searchByTypeAndName(SearchConceptVO searchConceptVO);

    List<GetAllForRelationDTO> searchByTypeAndNameAdd(SearchConceptVO searchConceptVO);

    List<GetAllForRelationDTO> searchCollectionConcept(SearchCollectionConceptVO searchCollectionConceptVO);
}
