package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.dto.KlScaleByIdDTO;
import com.diagbot.dto.KlScaleInfoDTO;
import com.diagbot.dto.StaticKnowledgeIndexPageDTO;
import com.diagbot.entity.KlConceptStatic;
import com.diagbot.vo.KlConceptStaticPageVO;
import com.diagbot.vo.KlScaleByIdVO;
import com.diagbot.vo.KlScaleInfoVO;
import com.diagbot.vo.StaticKnowledgeIndexPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 静态知识标准术语表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptStaticMapper extends BaseMapper<KlConceptStatic> {

    IPage<KlConceptStaticDTO> getPage(@Param("klConceptStaticPageVO") KlConceptStaticPageVO klConceptStaticPageVO);

    IPage<StaticKnowledgeIndexPageDTO> staticIndexPage(@Param("staticKnowledgeIndexPageVO") StaticKnowledgeIndexPageVO staticKnowledgeIndexPageVO);

    IPage<KlScaleInfoDTO> getKlScaleInfoPage(KlScaleInfoVO klScaleInfoVO);

    List<KlScaleByIdDTO> getklScaleInfo(KlScaleByIdVO klScaleByIdVO);
}