package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.IndicationExportDTO;
import com.diagbot.dto.KlRuleByIdDTO;
import com.diagbot.dto.KlRuleInfoDTO;
import com.diagbot.dto.RuleBaseInitDTO;
import com.diagbot.dto.RuleConditionInitDTO;
import com.diagbot.dto.RuleDTO;
import com.diagbot.dto.RuleInitDTO;
import com.diagbot.entity.KlRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;

import java.util.List;

/**
 * <p>
 * 规则信息表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRuleMapper extends BaseMapper<KlRule> {

    List<RuleDTO> getAllRule();

    IPage<KlRuleInfoDTO> getKlRuleInfoPage(KlRuleInfoVO klRuleInfoVO);

    List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO);

    List<IndicationExportDTO> exportIndication();

    List<RuleInitDTO> getRuleInitDTO();

    List<RuleConditionInitDTO> getRuleConditionInitDTO();

    List<RuleBaseInitDTO> getRuleBaseInitDTO();

    List<RuleInitDTO> getRuleInitDTONotHaveClass();

    List<RuleInitDTO> getRuleInitDTOHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTONotHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTOHaveClass();
}
