package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.MappingConfig;
import com.diagbot.entity.wrapper.MappingConfigWrapper;
import com.diagbot.vo.MappingConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 医学术语映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-06-09
 */
public interface MappingConfigMapper extends BaseMapper<MappingConfig> {
    /**
     * 分页查询
     *
     * @param mappingConfigPageVO
     * @return
     */
    IPage<MappingConfigWrapper> getPage(@Param("mappingConfigPageVO") MappingConfigPageVO mappingConfigPageVO);

    /**
     * 医院术语检索
     *
     * @param retrievalVO
     * @return
     */
    List<MappingConfig> hisNameIndex(RetrievalVO retrievalVO);

    /**
     * 医院术语-细项检索
     *
     * @param retrievalVO
     * @return
     */
    List<MappingConfig> hisDetailNameIndex(RetrievalVO retrievalVO);
}