package com.diagbot.rule;

import com.diagbot.dto.RuleBaseDTO;
import com.diagbot.dto.RuleSimpleDTO;
import com.diagbot.util.CoreUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 剂型规则
 * @author: zhoutg
 * @time: 2020/8/3 14:47
 */
@Component
public class FormRule {

    /**
     * 比较名称是否匹配——开单
     *
     * @param ruleBaseDTO
     * @param ruleSimpleDTO
     * @param <T>
     */
    public <T> Boolean bill(RuleBaseDTO ruleBaseDTO, RuleSimpleDTO ruleSimpleDTO) {
        List<String> contentList = Lists.newArrayList();
        String name = ruleSimpleDTO.getForm(); // 药品剂型
        boolean flag = CoreUtil.compareName(ruleBaseDTO, name);
        if (flag) {
            if (!contentList.contains(name)) {
                contentList.add(name);
            }
            if (ruleSimpleDTO != null) {
                ruleSimpleDTO.setMatchNum(ruleSimpleDTO.getMatchNum() + 1);
            }
        }
        return flag;
    }
}
