package com.diagbot.rule;

import com.diagbot.dto.RuleBaseDTO;
import com.diagbot.dto.RuleSimpleDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.enums.ConEnum;
import com.diagbot.util.CoreUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 禁忌医疗器械及物品规则
 * @author: zhoutg
 * @time: 2020/8/3 14:47
 */
@Component
public class MedEquRule {

    /**
     * 比较文本内容是否存在
     *
     * @param wordCrfDTO
     * @param ruleBaseDTO
     * @param ruleSimpleDTO
     */
    public Boolean bill(WordCrfDTO wordCrfDTO, RuleBaseDTO ruleBaseDTO, RuleSimpleDTO ruleSimpleDTO) {
        String chief = wordCrfDTO.getChief();
        String symptom = wordCrfDTO.getSymptom();
        String pasts = wordCrfDTO.getPasts();
        boolean flag = false;
        List<String> contentList = Lists.newArrayList();
        if (chief.contains(ruleBaseDTO.getBaseLibName()) || symptom.contains(ruleBaseDTO.getBaseLibName())
                || pasts.contains(ruleBaseDTO.getBaseLibName())) {
            if (!contentList.contains(ruleBaseDTO.getBaseLibName())) {
                contentList.add(ruleBaseDTO.getBaseLibName());
            }
            flag = true;
        }
        if (flag) {
            CoreUtil.setListAndType(ruleSimpleDTO, contentList, ConEnum.medEqu.getName());
        }
        return flag;
    }
}
