package com.diagbot.rule;

import com.diagbot.dto.RuleBaseDTO;
import com.diagbot.dto.RuleSimpleDTO;
import com.diagbot.util.CoreUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 给药途径规则
 * @author: zhoutg
 * @time: 2020/8/3 14:47
 */
@Component
public class RouteRule {

    /**
     * 比较名称是否匹配——开单
     *
     * @param ruleBaseDTO
     * @param ruleSimpleDTO
     * @param <T>
     */
    public <T> Boolean bill(RuleBaseDTO ruleBaseDTO, RuleSimpleDTO ruleSimpleDTO) {
        List<String> contentList = Lists.newArrayList();
        String routeUniqueName = ruleSimpleDTO.getRouteUniqueName(); // 给药途径标准名称
        String inputName = ruleSimpleDTO.getRouteName();  // 给药途径医院名称
        boolean flag = CoreUtil.compareName(ruleBaseDTO, routeUniqueName);
        if (flag) {
            if (!contentList.contains(inputName)) {
                contentList.add(inputName);
            }
            if (ruleSimpleDTO != null ) {
                ruleSimpleDTO.setMatchNum(ruleSimpleDTO.getMatchNum()+ 1);
                ruleSimpleDTO.setRouteMatch(true);
            }
        }
        return flag;
    }
}
