package com.diagbot.rule;

import com.diagbot.dto.RuleBaseDTO;
import com.diagbot.dto.RuleSimpleDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.enums.ConEnum;
import com.diagbot.util.CoreUtil;
import com.diagbot.util.StringUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 性别规则
 * @author: zhoutg
 * @time: 2020/8/3 14:47
 */
@Component
public class SexRule {

    /**
     * 比较性别
     *
     * @param wordCrfDTO
     * @param ruleBaseDTO
     * @param ruleSimpleDTO
     */
    public Boolean bill(WordCrfDTO wordCrfDTO, RuleBaseDTO ruleBaseDTO, RuleSimpleDTO ruleSimpleDTO) {
        boolean flag = getFlag(wordCrfDTO, ruleBaseDTO);
        if (flag) {
            List<String> contentList = Lists.newArrayList();
            if (!contentList.contains(ruleBaseDTO.getBaseLibName())) {
                contentList.add(ruleBaseDTO.getBaseLibName());
            }
            CoreUtil.setListAndType(ruleSimpleDTO, contentList, ConEnum.gender.getName());
        }
        return flag;
    }

    /**
     * 匹配规则——返回状态
     *
     * @param wordCrfDTO
     * @param ruleBaseDTO
     * @return
     */
    public boolean getFlag(WordCrfDTO wordCrfDTO, RuleBaseDTO ruleBaseDTO) {
        String sex = ruleBaseDTO.getBaseLibName();
        if (StringUtil.isNotBlank(sex) && wordCrfDTO.getSex() != null) {
            String sexStr = "";
            if (1 == wordCrfDTO.getSex()) {
                sexStr = "男";
            } else if (2 == wordCrfDTO.getSex()) {
                sexStr = "女";
            }
            if (sex.equals(sexStr)) {
                return true;
            }
        }
        return false;
    }
}
