package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.GetAllForRelationDTO;
import com.diagbot.dto.IndexBatchDTO;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.KllisDetailDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.vo.*;

import java.util.List;

/**
 * <p>
 * 概念表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptService extends IService<KlConcept> {

    List<IndexDTO> index(MedRetrievalVO medRetrievalVO);

    List<IndexBatchDTO> indexByApproval(IndexByApprovalVO indexByApprovalVO);

    List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);

    List<KllisDetailDTO> getLisDetaisByNames(KllisDetailVO kllisDetailVO);

    //查找（修改）
    List<GetAllForRelationDTO> searchByTypeAndName(SearchConceptVO searchConceptVO);

    //查找（新增）
    List<GetAllForRelationDTO> searchByTypeAndNameAdd(SearchConceptVO searchConceptVO);

    //查找（集合模块术语）
    List<GetAllForRelationDTO> searchCollectionConcept(SearchCollectionConceptVO searchCollectionConceptVO);

}
