package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.IndicationExportDTO;
import com.diagbot.dto.KlRuleByIdDTO;
import com.diagbot.dto.KlRuleInfoDTO;
import com.diagbot.dto.RuleBaseInitDTO;
import com.diagbot.dto.RuleConditionInitDTO;
import com.diagbot.dto.RuleDTO;
import com.diagbot.dto.RuleInitDTO;
import com.diagbot.entity.KlRule;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRuleService extends IService<KlRule> {
    List<RuleDTO> getAllRule();
    IPage<KlRuleInfoDTO> getKlRuleInfoPages(KlRuleInfoVO klRuleInfoVO);
    List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO);
    List<IndicationExportDTO> exportIndication();

    List<RuleInitDTO> getRuleInitDTO();

    List<RuleConditionInitDTO> getRuleConditionInitDTO();

    List<RuleBaseInitDTO> getRuleBaseInitDTO();

    List<RuleInitDTO> getRuleInitDTONotHaveClass();

    List<RuleInitDTO> getRuleInitDTOHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTONotHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTOHaveClass();
}
