package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.GetAllForRelationDTO;
import com.diagbot.dto.IndexBatchDTO;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.KllisDetailDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.mapper.KlConceptMapper;
import com.diagbot.service.KlConceptService;
import com.diagbot.vo.*;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 概念表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
@DS("med")
public class KlConceptServiceImpl extends ServiceImpl<KlConceptMapper, KlConcept> implements KlConceptService {

    @Override
    public List<IndexDTO> index(MedRetrievalVO medRetrievalVO) {
        return baseMapper.index(medRetrievalVO);
    }

    @Override
    public List<IndexBatchDTO> indexByApproval(IndexByApprovalVO indexByApprovalVO){
        return baseMapper.indexByApproval(indexByApprovalVO);
    }

    @Override
    public List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO) {
        return baseMapper.staticIndex(staticKnowledgeIndexVO);
    }

    @Override
    public List<KllisDetailDTO> getLisDetaisByNames(KllisDetailVO kllisDetailVO) {
        return baseMapper.getLisDetaisByNames(kllisDetailVO);
    }

    @Override
    public List<GetAllForRelationDTO> searchByTypeAndName(SearchConceptVO searchConceptVO) {
        return baseMapper.searchByTypeAndName(searchConceptVO);
    }

    @Override
    public List<GetAllForRelationDTO> searchByTypeAndNameAdd(SearchConceptVO searchConceptVO) {
        return baseMapper.searchByTypeAndNameAdd(searchConceptVO);
    }

    @Override
    public List<GetAllForRelationDTO> searchCollectionConcept(SearchCollectionConceptVO searchCollectionConceptVO) {
        return baseMapper.searchCollectionConcept(searchCollectionConceptVO);
    }

}
