package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.dto.KlScaleByIdDTO;
import com.diagbot.dto.KlScaleInfoDTO;
import com.diagbot.dto.StaticKnowledgeIndexPageDTO;
import com.diagbot.entity.KlConceptStatic;
import com.diagbot.mapper.KlConceptStaticMapper;
import com.diagbot.service.KlConceptStaticService;
import com.diagbot.vo.KlConceptStaticPageVO;
import com.diagbot.vo.KlScaleByIdVO;
import com.diagbot.vo.KlScaleInfoVO;
import com.diagbot.vo.StaticKnowledgeIndexPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 静态知识标准术语表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlConceptStaticServiceImpl extends ServiceImpl<KlConceptStaticMapper, KlConceptStatic> implements KlConceptStaticService {

    @Override
    public IPage<KlConceptStaticDTO> getPage(@Param("klConceptStaticPageVO") KlConceptStaticPageVO klConceptStaticPageVO) {
        return baseMapper.getPage(klConceptStaticPageVO);
    }

    @Override
    public IPage<StaticKnowledgeIndexPageDTO> staticIndexPage(@Param("staticKnowledgeIndexPageVO") StaticKnowledgeIndexPageVO staticKnowledgeIndexPageVO) {
        return baseMapper.staticIndexPage(staticKnowledgeIndexPageVO);
    }
    @Override
    public IPage<KlScaleInfoDTO> getKlScaleInfoPage(KlScaleInfoVO klScaleInfoVO) {
        return baseMapper.getKlScaleInfoPage(klScaleInfoVO);
    }

    @Override
    public List<KlScaleByIdDTO> getklScaleInfo(KlScaleByIdVO klScaleByIdVO) {
        return baseMapper.getklScaleInfo(klScaleByIdVO);
    }
}
