package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.MappingConfig;
import com.diagbot.entity.wrapper.MappingConfigWrapper;
import com.diagbot.mapper.MappingConfigMapper;
import com.diagbot.service.MappingConfigService;
import com.diagbot.vo.MappingConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医学术语映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-09
 */
@Service
@DS("cdss")
public class MappingConfigServiceImpl extends ServiceImpl<MappingConfigMapper, MappingConfig> implements MappingConfigService {
    /**
     * 分页查询
     *
     * @param mappingConfigPageVO
     * @return
     */
    @Override
    public IPage<MappingConfigWrapper> getPage(@Param("mappingConfigPageVO") MappingConfigPageVO mappingConfigPageVO) {
        return baseMapper.getPage(mappingConfigPageVO);
    }

    /**
     * 医院术语检索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<MappingConfig> hisNameIndex(RetrievalVO retrievalVO) {
        return baseMapper.hisNameIndex(retrievalVO);
    }

    /**
     * 医院术语-细项检索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<MappingConfig> hisDetailNameIndex(RetrievalVO retrievalVO) {
        return baseMapper.hisDetailNameIndex(retrievalVO);
    }
}
