package com.diagbot.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.handler.inter.IExcelDataModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 诊断依据导入
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Data
public class ImportDiagnoseVO implements Serializable, IExcelDataModel {

    private static final long serialVersionUID = 1L;

    @Excel(name = "类型")
    private String type = "";
    @Excel(name = "序号")
    private String orderNo = "";
    @Excel(name = "规则")
    private String rule = "";
    @Excel(name = "等于")
    private String eqValue;
    @Excel(name = "最大值")
    private String maxValue;
    @Excel(name = "最大值符号")
    private String maxOperator;
    @Excel(name = "单位")
    private String unit;
    @Excel(name = "最小值")
    private String minValue;
    @Excel(name = "最小值符号")
    private String minOperator;
    // @Excel(name="单位")
    // private String minUnit;
    @Excel(name = "关联词")
    private String description;;

    // 规则标准词id
    private List<Long> conceptId;
    //行号
    private Integer rowNum;
    //确诊公式（带拟诊）
    private String parentRule;

    @Override
    public Integer getRowNum() {
        return rowNum;
    }

    @Override
    public void setRowNum(Integer rowNum) {
        this.rowNum = rowNum + 1;//表头占一行
    }
}
