package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/6/10 15:35
 */
@Getter
@Setter
public class MappingConfigPageVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;
    /**
     * 医学术语类型（ 1-检验套餐、2-检验细项、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、10-量表、11-护理、12-中医疾病、13-中医证候、14-麻醉、16-给药途径）
     */
    @NotNull(message = "请输入术语类型：1-化验、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、10-量表、11-护理、12-中医诊断、13-中医证候、14-麻醉、16-给药途径")
    private Integer type;

    /**
     * 医院术语名称
     */
    private String hisName;

    /**
     * 医院术语编码
     */
    private String hisCode;

    /**
     * 医院术语细项名称（检验细项）
     */
    private String hisDetailName;

    /**
     * 医学标准术语名称
     */
    private String uniqueName;
    @ApiModelProperty(hidden = true)
    private List<Long> conceptIds;

    /**
     * 药品剂型
     */
    private String form;
    @ApiModelProperty(hidden = true)
    private List<Long> formConceptIds;

    /**
     * 是否匹配（0-未匹配、1-已匹配、2-多条匹配）
     */
    private Integer isMatch;

    /**
     * 数据来源（1-标准词、2-同义词、3-编码、4-历史数据、5-相似词、99-数据迁移）
     */
    private Integer source;

    /**
     * 一对多关系查询
     */
    @ApiModelProperty(hidden = true)
    private Integer isMultiple;
}
