package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 15:40
 */
@Getter
@Setter
public class RetrievalVO {
    /**
     * 类型：1-化验大项、2-化验小项、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、9-症状
     */
    @NotNull(message = "请输入检索类型")
    private Integer type;
    /**
     * 检索内容
     */
    //@NotBlank(message = "请输入检索内容")
    private String inputStr;
    //    /**
    //     * 性别：1-男、2-女、3-通用
    //     */
    //    private Integer sex;
    //    /**
    //     * 年龄
    //     */
    //    private Integer age;
    /**
     * 术语返回数量
     */
    @ApiModelProperty(hidden = true)
    private Integer size;

    /**
     * 默认展示 0:不展示，1：展示全部
     */
    private Integer defaultList = 0;
}