package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @className: com.diagbot.vo-> SearchCollectionConceptVO
 * @description: 在集合业务中，搜索术语
 * @author: kongwz
 * @createDate: 2021-08-18 16:07
 * @version: 1.0
 * @todo:
 */
@Setter
@Getter
public class SearchCollectionConceptVO {
    /**
     * 词性id
     */
    @ApiModelProperty(value="词性id")
    @NotNull(message ="请输入搜索词的词性" )
    private Integer libType;
    /**
     * 需要排除的概念id集合
     */
    @ApiModelProperty(value="需要排除的概念id集合")
    private List<Long> excludedConceptIds;

    @ApiModelProperty(value="搜索关键词")
    private List<String> names;

    @ApiModelProperty(value="逻辑运算符")
    @NotNull(message ="请输入逻辑运算符" )
    private Integer logicalOperator;

    @Override
    public String toString() {
        return "SearchCollectionConceptVO{" +
                "libType=" + libType +
                ", excludedConceptIds=" + excludedConceptIds +
                ", names=" + names +
                ", logicalOperator=" + logicalOperator +
                '}';
    }
}
