package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlDiagnoseDetailFacade;
import com.diagbot.facade.KlDiagnoseImportFacade;
import com.diagbot.vo.DiagnoseImportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author zhoutg
 * @Description:
 * @date 2021-03-19 14:52
 */
@RestController
@RequestMapping("/klDiagnoseImport")
@Api(tags = { "A诊断依据导入导出API" })
@SuppressWarnings("unchecked")
public class KlDiagnoseImportController {

    @Autowired
    KlDiagnoseImportFacade klDiagnoseImportFacade;
    @Autowired
    KlDiagnoseDetailFacade klDiagnoseDetailFacade;

    @ApiOperation(value = "诊断依据导入API[zhoutg]",
            notes = "diagStr：指定诊断名称，用#分隔")
    @PostMapping("/importDiagnose")
    @Transactional
    public RespDTO<Map<String, Object>> importDiagnose(@RequestParam("file") MultipartFile file, DiagnoseImportVO diagnoseImportVO) {
        return RespDTO.onSuc(klDiagnoseImportFacade.importDiagnose(file, diagnoseImportVO));
    }

    @ApiOperation(value = "诊断依据导出API[zhoutg]")
    @PostMapping("/exportDiagnose")
    public void exportDiagnose(HttpServletResponse response) {
        klDiagnoseDetailFacade.exportDiagnoseDetail(response);
    }

    @ApiOperation(value = "【记录导出】诊断依据导出API[zhoutg]")
    @PostMapping("/exportDiagnoseRecord")
    public void exportDiagnoseRecord(HttpServletResponse response) {
        klDiagnoseDetailFacade.exportDiagnoseRecord(response);
    }

}
