package com.diagbot.web;


import com.diagbot.dto.RegulationIndexDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.ScaleDTO;
import com.diagbot.facade.KlRegulationBaseFacade;
import com.diagbot.facade.KlRegulationFacade;
import com.diagbot.vo.RegulationIndexVO;
import com.diagbot.vo.ScaleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 通用规则表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/klRegulation")
@Api(value = "其他规则API", tags = { "其他规则API" })
public class KlRegulationController {

    @Autowired
    KlRegulationBaseFacade klRegulationBaseFacade;
    @Autowired
    KlRegulationFacade klRegulationFacade;

    @ApiOperation(value = "量表规则匹配[zhoutg]", notes = "")
    @PostMapping("/scaleRule")
    public RespDTO<ScaleDTO> scaleRule(@RequestBody ScaleVO scaleVO) {
        ScaleDTO scaleDTO = klRegulationBaseFacade.process(scaleVO);
        return RespDTO.onSuc(scaleDTO);
    }

    @ApiOperation(value = "规则搜索[zhoutg]", notes =
            "name：内容\n" +
            "type：规则类型:(1:量表)\n" +
            " notCodeList：过滤编码")
    @PostMapping("/index")
    public RespDTO<List<RegulationIndexDTO>> index(@RequestBody RegulationIndexVO regulationIndexVO) {
        List<RegulationIndexDTO> regulationIndexDTOList = klRegulationFacade.index(regulationIndexVO);
        return RespDTO.onSuc(regulationIndexDTOList);
    }
}
