package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.KlScaleByIdDTO;
import com.diagbot.dto.KlScaleInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.enums.StatusEnum;
import com.diagbot.facade.KlScaleFacade;
import com.diagbot.vo.KlScaleByIdVO;
import com.diagbot.vo.KlScaleInfoVO;
import com.diagbot.vo.KlScaleSatartOrdisaVO;
import com.diagbot.vo.KlScaleSaveUpVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 量表结构表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2021-05-10
 */

@RestController
@RequestMapping("/klScale")
@Api(value = "量表结构表相关API", tags = { "量表结构表相关API" })
@SuppressWarnings("unchecked")
@ApiIgnore
@Deprecated
public class KlScaleController {

    @Autowired
    KlScaleFacade klScaleFacade;

    @ApiOperation(value = "分页获取量表结构表列表[by:wangfeng]")
    @PostMapping("/getKlScaleInfoPage")
    @SysLogger("getKlScaleInfoPage")
    public RespDTO<IPage<KlScaleInfoDTO>> getKlScaleInfoPages(@RequestBody KlScaleInfoVO klScaleInfoVO) {
        return RespDTO.onSuc(klScaleFacade.getKlScaleInfoAll(klScaleInfoVO));
    }


    @ApiOperation(value = "根据id获取量表结构[by:wangfeng]", notes = "根据id获取量表结构[by:wangfeng]")
    @PostMapping("/getKlScaleById")
    @SysLogger("getKlScaleById")
    public RespDTO<List<KlScaleByIdDTO>> getKlScaleByIds(@RequestBody @Valid KlScaleByIdVO klScaleByIdVO) {
        List<KlScaleByIdDTO> data = klScaleFacade.getKlScaleById(klScaleByIdVO);
        return RespDTO.onSuc(data);
    }

    @ApiOperation(value = "保存修改获取量表结构[by:wangfeng]", notes = "保存修改获取量表结构[by:wangfeng]")
    @PostMapping("/saveUpKlScale")
    @SysLogger("saveUpKlScale")
    public RespDTO<Boolean> saveUpKlScales(@RequestBody @Valid KlScaleSaveUpVO klScaleSaveUpVO) {
        Boolean res = klScaleFacade.saveUpKlScaleAll(klScaleSaveUpVO);
        return RespDTO.onSuc(res);
    }

    @ApiOperation(value = "停用量表[by:wangfeng]")
    @PostMapping("/disableKlScale")
    @SysLogger("disableKlScale")
    public RespDTO<Boolean> disableKlScales(@RequestBody @Valid KlScaleSatartOrdisaVO klScaleSatartOrdisaVO) {
        return RespDTO.onSuc(klScaleFacade.startOrDisableScale(klScaleSatartOrdisaVO, StatusEnum.Disable.getKey()));
    }

    @ApiOperation(value = "启用量表[by:wangfeng]")
    @PostMapping("/startKlScale")
    @SysLogger("startKlScale")
    public RespDTO<Boolean> startKlScales(@RequestBody @Valid KlScaleSatartOrdisaVO klScaleSatartOrdisaVO) {
        return RespDTO.onSuc(klScaleFacade.startOrDisableScale(klScaleSatartOrdisaVO, StatusEnum.Enable.getKey()));
    }

}
